<AnimatedContainer
  class="questionnaire"
>
  {{#animated-if (eq this.questionsStatus this.status.STARTED) use=this.toUp}}
    <div>
      {{#animated-value this.currentQuestion use=this.animation duration=500 as |currentQuestion|}}
        <Questionnaire::Error
          @error={{this.error}}
        />

        <Questionnaire::Question
          @goToPreviousQuestion={{this.goToPreviousQuestion}}
          @goToNextQuestion={{this.goToNextQuestion}}
          @question={{currentQuestion}}
          @questionIndex={{this.currentQuestionIndex}}
          @isFirstQuestion={{this.isFirstQuestion}}
          @isLastQuestion={{this.isLastQuestion}}
          @handleSubmit={{this.handleSubmit}}
          @error={{this.error}}
          @validateAnswer={{this.validateAnswer}}
          @setError={{this.setError}}
        />
      {{/animated-value}}

      <Questionnaire::Navigation
        @isFirstQuestion={{this.isFirstQuestion}}
        @goToPreviousQuestion={{this.goToPreviousQuestion}}
        @isLastQuestion={{this.isLastQuestion}}
        @goToNextQuestion={{this.goToNextQuestion}}
      />
    </div>
  {{else if (eq this.questionsStatus this.status.FINISHED)}}
    <Questionnaire::Outro />
  {{else}}
    <Questionnaire::Intro
      @questionnaire={{@questionnaire}}
      @handleSubmit={{this.handleSubmit}}

    />
  {{/animated-if}}
</AnimatedContainer>
